
button("/lamp")

function button(dev){
    $("button").click(function() {
        self = $(this)
        self.prop("disabled",true)    
        console.log(dev)
        $.getJSON(dev, function(e){
            if(e==true) {
                self.addClass("btn-success")
            } else {
                self.removeClass("btn-success")
            }
            self.prop("disabled",false)    
            $("var").text(e)
            console.log(e)
        }).done(
            self.prop("disabled",false)    
        )
    });
}
